Package com.sas.lsaf.workflow.processflow.setup

## Class EventSetup

- java.lang.Object
- - com.sas.lsaf.workflow.processflow.setup.ElementSetup
  - - com.sas.lsaf.workflow.processflow.setup.EventSetup

- All Implemented Interfaces:
    `java.io.Serializable`
  Direct Known Subclasses:
    `SignalEventSetup`, `TimerEventSetup`

      public abstract class EventSetup
      extends ElementSetup

  The abstract class that represents the set up information for event types in a process flow.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.sas.lsaf.workflow.processflow.setup.ElementSetup

      `description, name`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EventSetup​(java.lang.String name, java.lang.String description, java.lang.String elementId, Element.ElementType type, java.lang.String processFlowId)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.sas.lsaf.workflow.processflow.setup.ElementSetup

      `getDescription, getElementId, getName, getProcessFlowIdentifier, getType`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EventSetup

          public EventSetup​(java.lang.String name,
                            java.lang.String description,
                            java.lang.String elementId,
                            Element.ElementType type,
                            java.lang.String processFlowId)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the elements returned by the API.
      Parameters:
        `name` - The name of the element.
        `description` - The description of the element.
        `elementId` - The identifier of the element as it appears in the process flow definition.
        `type` - The type of the element.
        `processFlowId` - The identifier of the process flow that contains the element.

  - ### Method Detail

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `ElementSetup`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `ElementSetup`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `ElementSetup`